< prev index next >

make/autoconf/flags.m4

Print this page




  99     AC_MSG_RESULT([$JDK_ARCH_ABI_PROP_NAME])
 100     AC_SUBST(JDK_ARCH_ABI_PROP_NAME)
 101   fi
 102 
 103   # When building with an abi profile, the name of that profile is appended on the
 104   # bundle platform, which is used in bundle names.
 105   if test "x$OPENJDK_TARGET_ABI_PROFILE" != x; then
 106     OPENJDK_TARGET_BUNDLE_PLATFORM="$OPENJDK_TARGET_OS_BUNDLE-$OPENJDK_TARGET_ABI_PROFILE"
 107   fi
 108 ])
 109 
 110 AC_DEFUN([FLAGS_SETUP_MACOSX_VERSION],
 111 [
 112   # Additional macosx handling
 113   if test "x$OPENJDK_TARGET_OS" = xmacosx; then
 114     # MACOSX_VERSION_MIN specifies the lowest version of Macosx that the built
 115     # binaries should be compatible with, even if compiled on a newer version
 116     # of the OS. It currently has a hard coded value. Setting this also limits
 117     # exposure to API changes in header files. Bumping this is likely to
 118     # require code changes to build.
 119     MACOSX_VERSION_MIN=10.7.0
 120     MACOSX_VERSION_MIN_NODOTS=${MACOSX_VERSION_MIN//\./}
 121 
 122     AC_SUBST(MACOSX_VERSION_MIN)
 123 
 124     # Setting --with-macosx-version-max=<version> makes it an error to build or
 125     # link to macosx APIs that are newer than the given OS version. The expected
 126     # format for <version> is either nn.n.n or nn.nn.nn. See /usr/include/AvailabilityMacros.h.
 127     AC_ARG_WITH([macosx-version-max], [AS_HELP_STRING([--with-macosx-version-max],
 128         [error on use of newer functionality. @<:@macosx@:>@])],
 129         [
 130           if echo "$with_macosx_version_max" | $GREP -q "^[[0-9]][[0-9]]\.[[0-9]]\.[[0-9]]\$"; then
 131               MACOSX_VERSION_MAX=$with_macosx_version_max
 132           elif echo "$with_macosx_version_max" | $GREP -q "^[[0-9]][[0-9]]\.[[0-9]][[0-9]]\.[[0-9]][[0-9]]\$"; then
 133               MACOSX_VERSION_MAX=$with_macosx_version_max
 134           elif test "x$with_macosx_version_max" = "xno"; then
 135               # Use build system default
 136               MACOSX_VERSION_MAX=
 137           else
 138               AC_MSG_ERROR([osx version format must be nn.n.n or nn.nn.nn])
 139           fi




  99     AC_MSG_RESULT([$JDK_ARCH_ABI_PROP_NAME])
 100     AC_SUBST(JDK_ARCH_ABI_PROP_NAME)
 101   fi
 102 
 103   # When building with an abi profile, the name of that profile is appended on the
 104   # bundle platform, which is used in bundle names.
 105   if test "x$OPENJDK_TARGET_ABI_PROFILE" != x; then
 106     OPENJDK_TARGET_BUNDLE_PLATFORM="$OPENJDK_TARGET_OS_BUNDLE-$OPENJDK_TARGET_ABI_PROFILE"
 107   fi
 108 ])
 109 
 110 AC_DEFUN([FLAGS_SETUP_MACOSX_VERSION],
 111 [
 112   # Additional macosx handling
 113   if test "x$OPENJDK_TARGET_OS" = xmacosx; then
 114     # MACOSX_VERSION_MIN specifies the lowest version of Macosx that the built
 115     # binaries should be compatible with, even if compiled on a newer version
 116     # of the OS. It currently has a hard coded value. Setting this also limits
 117     # exposure to API changes in header files. Bumping this is likely to
 118     # require code changes to build.
 119     MACOSX_VERSION_MIN=10.9.0
 120     MACOSX_VERSION_MIN_NODOTS=${MACOSX_VERSION_MIN//\./}
 121 
 122     AC_SUBST(MACOSX_VERSION_MIN)
 123 
 124     # Setting --with-macosx-version-max=<version> makes it an error to build or
 125     # link to macosx APIs that are newer than the given OS version. The expected
 126     # format for <version> is either nn.n.n or nn.nn.nn. See /usr/include/AvailabilityMacros.h.
 127     AC_ARG_WITH([macosx-version-max], [AS_HELP_STRING([--with-macosx-version-max],
 128         [error on use of newer functionality. @<:@macosx@:>@])],
 129         [
 130           if echo "$with_macosx_version_max" | $GREP -q "^[[0-9]][[0-9]]\.[[0-9]]\.[[0-9]]\$"; then
 131               MACOSX_VERSION_MAX=$with_macosx_version_max
 132           elif echo "$with_macosx_version_max" | $GREP -q "^[[0-9]][[0-9]]\.[[0-9]][[0-9]]\.[[0-9]][[0-9]]\$"; then
 133               MACOSX_VERSION_MAX=$with_macosx_version_max
 134           elif test "x$with_macosx_version_max" = "xno"; then
 135               # Use build system default
 136               MACOSX_VERSION_MAX=
 137           else
 138               AC_MSG_ERROR([osx version format must be nn.n.n or nn.nn.nn])
 139           fi


< prev index next >